<p>gestion works!</p>
<div class="content">

  <div class="content__form">

    <form novalidate class="example-form" (ngSubmit)="onSubmit()" [formGroup]="newMovieForm">

      <table class="example-full-width" cellspacing="0">

        <tr>
          <td>
            <label for="name">Movie Name</label>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Movie Name</mat-label>
              <input id="name" matInput formControlName="name">
            </mat-form-field>
            <p *ngIf="!newMovieForm.get('name')?.valid && (newMovieForm.get('name')?.dirty || submitted)" class="validateForm">
              Tienes un máximo de 10 carácteres.
            </p>
          </td>
        </tr>
        <tr>
          <td>
            <label for="price">Price</label>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Price</mat-label>
              <input id="price" matInput formControlName="price" >
            </mat-form-field>
            <p *ngIf="!newMovieForm.get('price')?.valid && (newMovieForm.get('price')?.dirty || submitted)" class="validateForm">
              Tienes un máximo de 10 carácteres.
            </p>
          </td>
        </tr>
        <tr>
          <td>
            <label for="description">Description</label>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Description</mat-label>
              <input id="description" matInput formControlName="description" >
            </mat-form-field>
            <p *ngIf="!newMovieForm.get('description')?.valid && (newMovieForm.get('description')?.dirty || submitted)" class="validateForm">
              Tienes un máximo de 20 carácteres.
            </p>
          </td>
        </tr>
        <tr>
          <td>
            <label for="options">Stars</label>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Stars</mat-label>
              <input id="options" matInput formControlName="stars" >
            </mat-form-field>
            <p *ngIf="!newMovieForm.get('stars')?.valid && (newMovieForm.get('stars')?.dirty || submitted)" class="validateForm">
              Tienes un máximo de 10 carácteres.
            </p>
          </td>
        </tr>
        <tr>
          <td>
            <label for="options">Image</label>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>url</mat-label>
              <input id="options" matInput formControlName="urlImage">
            </mat-form-field>
            <p *ngIf="!newMovieForm.get('urlImage')?.valid && (newMovieForm.get('urlImage')?.dirty || submitted)" class="validateForm">
              Tienes un máximo de 20 carácteres.
            </p>
          </td>
        </tr>
      </table>
      <button mat-button color="primary" [disabled]="!newMovieForm.valid" [disabled]="submitted">Primary</button>

    </form>

    <div class="previewProduct">
      <h1>Preview Product</h1>

      <mat-card class="example-card">
        <mat-card-header class="matCard__header">
          <mat-card-title >{{name}}</mat-card-title>
        </mat-card-header>
        <img mat-card-image src={{link}} alt="Photo of a Shiba Inu">
        <mat-card-actions>
          <button mat-button>LIKE</button>
          <button mat-button>SHARE</button>
        </mat-card-actions>
      </mat-card>

    </div>

  </div>


</div>



<!-- <p>name:{{name}}</p>
<p>name:{{price}}</p>
<p>name:{{description}}</p>
<p>name:{{stars}}</p>
<img src={{link}} alt=""> -->
